<?php
/**
 * @package n3t Article
 * @author Pavel Poles - n3t.cz
 * @copyright (c) 2012 - 2017 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_BASE . '/components/com_content/helpers');
$canEdit	= $item->params->get('access-edit');
$user    = JFactory::getUser();
$info    = $item->params->get('info_block_position', 0);
?>
<div class="n3tArticle<?php echo $moduleclass_sfx; ?>">
<?php if ($item->state == 0 || strtotime($item->publish_up) > strtotime(JFactory::getDate())
	|| ((strtotime($item->publish_down) < strtotime(JFactory::getDate())) && $item->publish_down != JFactory::getDbo()->getNullDate())) : ?>
<div class="system-unpublished">
<?php endif; ?>
<?php if ($item->params->get('show_title')) : ?>
	<h4>
		<?php if ($item->params->get('link_titles') && $item->params->get('access-view')) : ?>
			<a href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid)); ?>">
			<?php echo $item->title; ?></a>
		<?php else : ?>
			<?php echo $item->title; ?>
		<?php endif; ?>
	</h4>
<?php endif; ?>
<?php if ($canEdit || $item->params->get('show_print_icon') || $item->params->get('show_email_icon')) : ?>
	<?php echo JLayoutHelper::render('joomla.content.icons', array('params' => $item->params, 'item' => $item, 'print' => false)); ?>
<?php endif; ?>

<?php if ($item->params->get('show_tags') && !empty($item->tags->itemTags)) : ?>
	<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
<?php endif; ?>
<?php $useDefList = ($item->params->get('show_modify_date') || $item->params->get('show_publish_date') || $item->params->get('show_create_date')
	|| $item->params->get('show_hits') || $item->params->get('show_category') || $item->params->get('show_parent_category') || $item->params->get('show_author') ); ?>

<?php if ($useDefList && ($info == 0 || $info == 2)) : ?>
	<?php echo JLayoutHelper::render('joomla.content.info_block.block', array('item' => $item, 'params' => $item->params, 'position' => 'above')); ?>
<?php endif; ?>

<?php echo JLayoutHelper::render('joomla.content.intro_image', $item); ?>


<?php if (!$item->params->get('show_intro')) : ?>
	<?php echo $item->event->afterDisplayTitle; ?>
<?php endif; ?>
<?php echo $item->event->beforeDisplayContent; ?>

<?php echo $item->text; ?>

<?php if ($item->readmore) :
	if ($item->params->get('access-view')) :
		$link = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid, $item->language));
	else :
		$menu = JFactory::getApplication()->getMenu();
		$active = $menu->getActive();
		$itemId = $active->id;
		$link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false));
		$link->setVar('return', base64_encode(JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid, $item->language), false)));
	endif; ?>
  
  <?php echo JLayoutHelper::render('joomla.content.readmore', array('item' => $item, 'params' => $item->params, 'link' => $link)); ?>
  
<?php endif; ?>

<?php if ($item->state == 0 || strtotime($item->publish_up) > strtotime(JFactory::getDate())
	|| ((strtotime($item->publish_down) < strtotime(JFactory::getDate())) && $item->publish_down != JFactory::getDbo()->getNullDate())) : ?>
</div>
<?php endif; ?>

<?php echo $item->event->afterDisplayContent; ?>

</div>